Name:          normalize
Version:       0.7.7
Release:       3mamba
Summary:       A tool for adjusting the volume of audio files to a standard level
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www1.cs.columbia.edu/~cvaill/normalize/
Source:        http://savannah.nongnu.org/download/normalize/normalize-%{version}.tar.bz2
Patch0:        normalize-0.7.7-libaudiofile-0.3.5.patch
Patch1:        normalize-0.7.7-autoreconf.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaudiofile-devel
BuildRequires: libmad-devel
BuildRequires: libstdc++6-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel >= 0.14.5
Requires:      /usr/bin/lame
Requires:      /usr/bin/oggdec
Requires:      /usr/bin/oggenc
Requires:      /usr/bin/vorbiscomment
Requires:      /usr/bin/flac
Requires:      /usr/bin/metaflac
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Normalize is a tool for adjusting the volume of audio files to a standard level.
This is useful for things like creating mixed CD's and mp3 collections, where different recording levels on different albums can cause the volume to vary greatly from song to song.

%package xmms
Summary:       Normalize - XMMS plugin to apply volume adjustments
Group:         Applications/Multimedia
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      xmms >= 1.0.0

%description xmms
Plugin for XMMS to honor volume adjustments (RVA2 frames) in ID3 tags.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed -i "s|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|" configure.ac
touch AUTHORS ChangeLog

%build
aclocal
autoconf
automake --add-missing
libtoolize
autoreconf
%configure \
   --with-mad \
   --with-audiofile

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
ln -s normalize-mp3 %{buildroot}%{_bindir}/normalize-ogg

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/normalize
%{_bindir}/normalize-mp3
%{_bindir}/normalize-ogg
%{_mandir}/man1/normalize.*
%{_mandir}/man1/normalize-mp3.*
%doc COPYING
#NEWS README THANKS TODO

#%files xmms
#%defattr(-,root,root)
#%{_libdir}/xmms/Effect/librva.la
#%{_libdir}/xmms/Effect/librva.so

%changelog
* Thu Feb 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.7-3mamba
- rebuilt without xmms
- added patch to support recent libaudiofile versions

* Sun Jun 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.7-2mamba
- specfile updated

* Mon Jul 03 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.7.7-1qilnx
- update to version 0.7.7 by autospec

* Tue Oct 25 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.7.6-1qilnx
- package created by autospec
